Bug 468441 - wpa_supplicant mishandles Intel 3945, 4965, and 5000 disconnections during association
wpa_supplicant mishandles Intel 3945, 4965, and 5000 disconnections during as...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: wpa_supplicant (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Dan Williams
Suzanne Hillman
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 14:36 EDT by Dan Williams
Modified: 2009-01-20 15:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:33:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 5 Dan Williams 2008-11-18 22:19:01 EST
wpa_supplicant-0.5.10-7.el5
Comment 7 Dan Williams 2008-12-03 14:27:29 EST
As detailed in https://bugzilla.redhat.com/show_bug.cgi?id=468967#c77 , we need some supplicant fixes to handle issues with mac80211, thus reopening for those fixes.
Comment 8 Dan Williams 2008-12-03 15:48:50 EST
Fixes related to https://bugzilla.redhat.com/show_bug.cgi?id=468967#c77 are in wpa_supplicant-0.5.10-8.el5
Comment 10 Suzanne Hillman 2008-12-23 13:15:15 EST
Dan, 

I'm having weird errors that may be me, but may mean this bug is not yet fixed.

What does "WPA: Failed to get master session key from EAPOL state machines" mean?
Comment 11 Suzanne Hillman 2008-12-23 13:17:11 EST
Before it says that, it says that the EAP authentication completed successfully, but the above preceeds a disconnect. Immediately before that message, it says "no matching PMKID found".
Comment 13 errata-xmlrpc 2009-01-20 15:33:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0062.html

Note You need to log in before you can comment on or make changes to this bug.